Partially update a brand (blank values keep old data)
curl --request PATCH \
--url https://core.cognizo.ai/api/v2/brands/{brand_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"primary_category": "<string>",
"is_favorite": true,
"brand_updated_at": "<string>",
"activated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://core.cognizo.ai/api/v2/brands/{brand_id}"
payload = {
"name": "<string>",
"description": "<string>",
"primary_category": "<string>",
"is_favorite": True,
"brand_updated_at": "<string>",
"activated_at": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
primary_category: '<string>',
is_favorite: true,
brand_updated_at: '<string>',
activated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://core.cognizo.ai/api/v2/brands/{brand_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"success": true,
"message": "<string>"
}
}Brands
Partially update a brand (blank values keep old data)
PATCH
/
api
/
v2
/
brands
/
{brand_id}
Partially update a brand (blank values keep old data)
Authorizations
Path Parameters
Body
application/json
Available options:
onboarding_pending, onboarding, pending, active, paused, past_due, onboarding_failed, deleted, null Available options:
customer, pitch, demo, null Response
200 - application/json
updated
Show child attributes
Show child attributes
⌘I

